<template>
  <div class="q-pa-md q-gutter-y-md column items-start" style="width: 100%">
    <q-card style="width: 100%">
      <q-card-section>
        <q-btn to="/produk/saya" label="Kembali" icon="arrow_left" color="warning"/>
      </q-card-section>
      <q-card-section>
        <q-stepper
          v-model="step"
          :keep-alive="true"
          vertical
          color="primary"
          animated
        >
          <q-step
            :name="1"
            title="Pilih Gambar Produk"
            icon="image"
            :done="step > 1"
          >
            <create-product-step1 @submit="step1" :product="this.product" />
          </q-step>

          <q-step
            :name="2"
            title="Informasi Produk"
            caption="Kategori dan Jenis Produk"
            icon="create_new_folder"
            :done="step > 2"
          >
            <create-product-step2 @submit="step2" />

            <q-stepper-navigation>
              <q-btn flat @click="step = 1" color="primary" label="Back" class="q-ml-sm" />
            </q-stepper-navigation>
          </q-step>

          <q-step
            :name="3"
            title="Tambahan Informasi Produk"
            caption="Sertifikat, Portofolio, dan Referensi"
            icon="create_new_folder"
            :done="step > 3"
          >
            <create-product-step3 @submit="step3" />
            <q-stepper-navigation>
              <q-btn @click="step = 4" color="primary" label="Continue" />
              <q-btn flat @click="step = 2" color="primary" label="Back" class="q-ml-sm" />
            </q-stepper-navigation>
          </q-step>

          <q-step
            :name="4"
            title="Create an ad"
            icon="add_comment"
          >
            Try out different ad text to see what brings in the most customers, and learn how to
            enhance your ads using features like ad extensions. If you run into any problems with
            your ads, find out how to tell if they're running and how to resolve approval issues.

            <q-stepper-navigation>
              <q-btn color="primary" label="Finish"  @click="finishProduct" />
              <q-btn v-if="jenis == 1" flat @click="step = 3" color="primary" label="Back" class="q-ml-sm" />
              <q-btn v-if="jenis == 0" flat @click="step = 2" color="primary" label="Back" class="q-ml-sm" />
            </q-stepper-navigation>
          </q-step>
        </q-stepper>
      </q-card-section>
    </q-card>
  </div>
</template>

<script>
  import CreateProductStep1 from "components/Product/CreateProductStep1";
  import CreateProductStep2 from "components/Product/CreateProductStep2";
  import CreateProductStep3 from "components/Product/CreateProductStep3";
  import FormProdukSertifikat from "components/Product/FormProdukSertifikat";
  export default {
    name: "TambahProduk",
    components: {
      CreateProductStep1,
      CreateProductStep2,
      CreateProductStep3,
      FormProdukSertifikat
    },
    data() {
      return {
        step: 1,
        jenis: 1,
        jmlSertifikat: 0,
        jmlReferensi: 0,
        jmlPortofolio: 0,
        id_product: 0
      }
    },
    preFetch ( product ) {
      product.store.dispatch("product/getProductDraft");
      product.store.dispatch("ProductType/getSelectProductType");
      product.store.dispatch("kategori/getSelectkategori");
    },
    computed: {
      product() {
        return this.$store.state.product.draft;
      }
    },

    methods: {
      finishProduct() {
        this.$q.loading.show()
        this.$axios.post("api/product/ubahstatus/diperiksa", {idProduct: this.id_product})
        .then(sukses => {
          this.$q.loading.hide()
          this.$router.push("/produk/saya")
        })
        .catch(gagal => {
          this.$q.loading.hide()
        })
      },
      step1() {
        this.step = 2;
      },
      step3: function () {
        return alert("ok");
      },
      step2(val, response = 0) {
        this.step = val;
        this.id_product = response.data.id
        if (val == 4) {
          this.jenis = 0
        } else {
          this.jenis = 1
        }
      }
    }
  }

</script>

<style scoped>

</style>
